Bug 903664 - (scriptaculous) Review Request: scriptaculous - JavaScript library
Review Request: scriptaculous - JavaScript library
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Adrien Devresse
Fedora Extras Quality Assurance
:
Depends On:
Blocks: Horde_Core
  Show dependency treegraph
 
Reported: 2013-01-24 09:24 EST by Remi Collet
Modified: 2013-07-21 14:40 EDT (History)
3 users (show)

See Also:
Fixed In Version: scriptaculous-1.9.0-1.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-15 21:31:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
adev88: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Remi Collet 2013-01-24 09:24:55 EST
Spec URL: https://raw.github.com/remicollet/remirepo/7824b734a34e37e4bba173c66697bedfe4d4e0fe/scriptaculous/scriptaculous.spec
SRPM URL: http://rpms.famillecollet.com/SRPMS/scriptaculous-1.9.0-1.remi.src.rpm
Description: 
script.aculo.us provides you with easy-to-use, 
cross-browser user interface JavaScript libraries
to make your web sites and web applications fly.

Fedora Account System Username: remi
Comment 1 Adrien Devresse 2013-07-03 18:15:00 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.

	-> MIT License 

[-]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf %{buildroot} present but not required

	-> needed for EPEL 5

[x]: Sources contain only permissible code or content.
[x]: Each %files section contains %defattr if rpm < 4.4
     Note: %defattr present but not needed
[x]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
	-> done for httpd
[-]: Package uses nothing in %doc for runtime.
[-]: Package is not known to require ExcludeArch.
	-> noarch, js
[x]: Fully versioned dependency in subpackages, if present.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     scriptaculous-httpd
	-> noarch package, no need of %{?_isa}

[x]: Package complies to the Packaging Guidelines
	-> respect guidelines ( https://fedoraproject.org/wiki/Packaging:Guidelines?rd=Packaging/Guidelines)

[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. No licenses
     found. Please check the source files for licenses manually.
[x]: License file installed when any subpackage combination is installed.
	-> installed in main package

[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 61440 bytes in 3 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: %config files are marked noreplace or the reason is justified.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: No %config files under /usr.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

===== SHOULD items =====

Generic:
[x]: Buildroot is not present
     Note: Buildroot: present but not needed
	
	-> EPEL 5 requirement

[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: %clean present but not required
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[-]: Package should compile and build into binary rpms on all supported
     architectures.
[!]: %check is present and all tests pass.
[-]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: scriptaculous-1.9.0-1.el6.noarch.rpm
          scriptaculous-httpd-1.9.0-1.el6.noarch.rpm
scriptaculous.noarch: W: spelling-error %description -l en_US aculo -> acute, Acuff, acuity
scriptaculous-httpd.noarch: W: no-documentation
2 packages and 0 specfiles checked; 0 errors, 2 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint scriptaculous scriptaculous-httpd
scriptaculous.noarch: I: enchant-dictionary-not-found en_US
scriptaculous-httpd.noarch: W: no-documentation
2 packages and 0 specfiles checked; 0 errors, 1 warnings.
# echo 'rpmlint-done:'



Requires
--------
scriptaculous (rpmlib, GLIBC filtered):
    prototype

scriptaculous-httpd (rpmlib, GLIBC filtered):
    config(scriptaculous-httpd)
    httpd
    scriptaculous



Provides
--------
scriptaculous:
    scriptaculous

scriptaculous-httpd:
    config(scriptaculous-httpd)
    scriptaculous-httpd



Source checksums
----------------
http://script.aculo.us/dist/scriptaculous-js-1.9.0.zip :
  CHECKSUM(SHA256) this package     : 1fa39bd110d3326a14f920601803813f088d08ecb2cc645aa7075884d998f6f6
  CHECKSUM(SHA256) upstream package : 1fa39bd110d3326a14f920601803813f088d08ecb2cc645aa7075884d998f6f6


Builds
------

rawhide :
http://koji.fedoraproject.org/koji/taskinfo?taskID=5571103

f19:
http://koji.fedoraproject.org/koji/taskinfo?taskID=5571115

EL6:
http://koji.fedoraproject.org/koji/taskinfo?taskID=5571138

EL5:
http://koji.fedoraproject.org/koji/taskinfo?taskID=5571135


Issues :

	No major issue, clean package.

Comments :

- Summary 
	The summary "javascript library" is probably a buit too much generic ^^. Could you replace it with something like "JavaScript libraries to enhance gui of web sites" or something similar ^^.

- Check section 
	please add unit test execution if you can in future.

- Coding problem 
	please report the coding problem concerning the release note upstream

	


Package accepted
Comment 2 Remi Collet 2013-07-04 00:57:09 EDT
Thanks !

New Package SCM Request
=======================
Package Name: scriptaculous
Short Description: JavaScript library
Owners: remi
Branches: f18 f19 el5 el6
InitialCC:
Comment 3 Gwyn Ciesla 2013-07-04 01:20:13 EDT
Git done (by process-git-requests).
Comment 4 Fedora Update System 2013-07-04 04:00:11 EDT
scriptaculous-1.9.0-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/scriptaculous-1.9.0-1.fc18
Comment 5 Fedora Update System 2013-07-04 04:00:22 EDT
scriptaculous-1.9.0-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/scriptaculous-1.9.0-1.el6
Comment 6 Fedora Update System 2013-07-04 04:00:36 EDT
scriptaculous-1.9.0-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/scriptaculous-1.9.0-1.el5
Comment 7 Fedora Update System 2013-07-04 04:00:49 EDT
scriptaculous-1.9.0-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/scriptaculous-1.9.0-1.fc19
Comment 8 Fedora Update System 2013-07-04 16:01:14 EDT
scriptaculous-1.9.0-1.el6 has been pushed to the Fedora EPEL 6 testing repository.
Comment 9 Fedora Update System 2013-07-15 21:31:00 EDT
scriptaculous-1.9.0-1.fc19 has been pushed to the Fedora 19 stable repository.
Comment 10 Fedora Update System 2013-07-15 21:33:00 EDT
scriptaculous-1.9.0-1.fc18 has been pushed to the Fedora 18 stable repository.
Comment 11 Fedora Update System 2013-07-21 14:40:10 EDT
scriptaculous-1.9.0-1.el6 has been pushed to the Fedora EPEL 6 stable repository.
Comment 12 Fedora Update System 2013-07-21 14:40:19 EDT
scriptaculous-1.9.0-1.el5 has been pushed to the Fedora EPEL 5 stable repository.

Note You need to log in before you can comment on or make changes to this bug.